com.amazonaws.services.elastictranscoder.model

## Class Preset

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Preset

All Implemented Interfaces:
  Serializable, Cloneable

    public class Preset
    extends Object
    implements Serializable, Cloneable

Presets are templates that contain most of the settings for transcoding media files from one format to another. Elastic Transcoder includes some default presets for common formats, for example, several iPod and iPhone versions. You can also create your own presets for formats that aren't included among the default presets. You specify which preset you want to use when you create a job.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Preset()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Preset` `clone()`
`boolean` `equals(Object obj)`
`String` `getArn()` The Amazon Resource Name (ARN) for the preset.
`AudioParameters` `getAudio()` A section of the response body that provides information about the audio preset values.
`String` `getContainer()` The container type for the output file.
`String` `getDescription()` A description of the preset.
`String` `getId()` Identifier for the new preset.
`String` `getName()` The name of the preset.
`Thumbnails` `getThumbnails()` A section of the response body that provides information about the thumbnail preset values, if any.
`String` `getType()` Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).
`VideoParameters` `getVideo()` A section of the response body that provides information about the video preset values.
`int` `hashCode()`
`void` `setArn(String arn)` The Amazon Resource Name (ARN) for the preset.
`void` `setAudio(AudioParameters audio)` A section of the response body that provides information about the audio preset values.
`void` `setContainer(String container)` The container type for the output file.
`void` `setDescription(String description)` A description of the preset.
`void` `setId(String id)` Identifier for the new preset.
`void` `setName(String name)` The name of the preset.
`void` `setThumbnails(Thumbnails thumbnails)` A section of the response body that provides information about the thumbnail preset values, if any.
`void` `setType(String type)` Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).
`void` `setVideo(VideoParameters video)` A section of the response body that provides information about the video preset values.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Preset` `withArn(String arn)` The Amazon Resource Name (ARN) for the preset.
`Preset` `withAudio(AudioParameters audio)` A section of the response body that provides information about the audio preset values.
`Preset` `withContainer(String container)` The container type for the output file.
`Preset` `withDescription(String description)` A description of the preset.
`Preset` `withId(String id)` Identifier for the new preset.
`Preset` `withName(String name)` The name of the preset.
`Preset` `withThumbnails(Thumbnails thumbnails)` A section of the response body that provides information about the thumbnail preset values, if any.
`Preset` `withType(String type)` Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).
`Preset` `withVideo(VideoParameters video)` A section of the response body that provides information about the video preset values.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Preset

    public Preset()

### Method Detail

#### setId

    public void setId(String id)

Identifier for the new preset. You use this value to get settings for the preset or to delete it.

Parameters:
  `id` - Identifier for the new preset. You use this value to get settings for the preset or to delete it.

#### getId

    public String getId()

Identifier for the new preset. You use this value to get settings for the preset or to delete it.

Returns:
  Identifier for the new preset. You use this value to get settings for the preset or to delete it.

#### withId

    public Preset withId(String id)

Identifier for the new preset. You use this value to get settings for the preset or to delete it.

Parameters:
  `id` - Identifier for the new preset. You use this value to get settings for the preset or to delete it.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArn

    public void setArn(String arn)

The Amazon Resource Name (ARN) for the preset.

Parameters:
  `arn` - The Amazon Resource Name (ARN) for the preset.

#### getArn

    public String getArn()

The Amazon Resource Name (ARN) for the preset.

Returns:
  The Amazon Resource Name (ARN) for the preset.

#### withArn

    public Preset withArn(String arn)

The Amazon Resource Name (ARN) for the preset.

Parameters:
  `arn` - The Amazon Resource Name (ARN) for the preset.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

The name of the preset.

Parameters:
  `name` - The name of the preset.

#### getName

    public String getName()

The name of the preset.

Returns:
  The name of the preset.

#### withName

    public Preset withName(String name)

The name of the preset.

Parameters:
  `name` - The name of the preset.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A description of the preset.

Parameters:
  `description` - A description of the preset.

#### getDescription

    public String getDescription()

A description of the preset.

Returns:
  A description of the preset.

#### withDescription

    public Preset withDescription(String description)

A description of the preset.

Parameters:
  `description` - A description of the preset.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setContainer

    public void setContainer(String container)

The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

Parameters:
  `container` - The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

#### getContainer

    public String getContainer()

The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

Returns:
  The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

#### withContainer

    public Preset withContainer(String container)

The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.

Parameters:
  `container` - The container type for the output file. Valid values include `flac`, `flv`, `fmp4`, `gif`, `mp3`, `mp4`, `mpg`, `mxf`, `oga`, `ogg`, `ts`, and `webm`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAudio

    public void setAudio(AudioParameters audio)

A section of the response body that provides information about the audio preset values.

Parameters:
  `audio` - A section of the response body that provides information about the audio preset values.

#### getAudio

    public AudioParameters getAudio()

A section of the response body that provides information about the audio preset values.

Returns:
  A section of the response body that provides information about the audio preset values.

#### withAudio

    public Preset withAudio(AudioParameters audio)

A section of the response body that provides information about the audio preset values.

Parameters:
  `audio` - A section of the response body that provides information about the audio preset values.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVideo

    public void setVideo(VideoParameters video)

A section of the response body that provides information about the video preset values.

Parameters:
  `video` - A section of the response body that provides information about the video preset values.

#### getVideo

    public VideoParameters getVideo()

A section of the response body that provides information about the video preset values.

Returns:
  A section of the response body that provides information about the video preset values.

#### withVideo

    public Preset withVideo(VideoParameters video)

A section of the response body that provides information about the video preset values.

Parameters:
  `video` - A section of the response body that provides information about the video preset values.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setThumbnails

    public void setThumbnails(Thumbnails thumbnails)

A section of the response body that provides information about the thumbnail preset values, if any.

Parameters:
  `thumbnails` - A section of the response body that provides information about the thumbnail preset values, if any.

#### getThumbnails

    public Thumbnails getThumbnails()

A section of the response body that provides information about the thumbnail preset values, if any.

Returns:
  A section of the response body that provides information about the thumbnail preset values, if any.

#### withThumbnails

    public Preset withThumbnails(Thumbnails thumbnails)

A section of the response body that provides information about the thumbnail preset values, if any.

Parameters:
  `thumbnails` - A section of the response body that provides information about the thumbnail preset values, if any.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setType

    public void setType(String type)

Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).

Parameters:
  `type` - Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).

#### getType

    public String getType()

Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).

Returns:
  Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).

#### withType

    public Preset withType(String type)

Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).

Parameters:
  `type` - Whether the preset is a default preset provided by Elastic Transcoder (`System`) or a preset that you have defined (`Custom`).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Preset clone()

Overrides:
  `clone` in class `Object`